﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GridBoolColumn
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			for (int i=0;i<10;i++)
			{
				ultraDataSource1.Rows.Add(new object[] { false, "Item " + i.ToString() });
			}
		}

		private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
		{
			if (e.Row.Index == 0)
			{
				e.Row.Cells[0].Activation = Activation.Disabled;
				e.Row.Cells[0].Value = true;
			}
		}

		private void ultraGrid1_BeforeHeaderCheckStateChanged(object sender, BeforeHeaderCheckStateChangedEventArgs e)
		{
			if (e.IsCancelable)
			{
				e.Cancel = true;
				foreach (var row in ultraGrid1.Rows)
				{
					var cell = row.Cells[0];
					if (cell.ActivationResolved != Activation.Disabled)
					{
						cell.Value = e.CurrentCheckState == CheckState.Indeterminate;
					}
				}
			}
		}
	}
}
